Index: tests/GuiChecks/Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at
===================================================================
--- tests/GuiChecks/Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Tesselation - big convex Envelope])
-AT_KEYWORDS([Tesselation convex convex-envelope])
+AT_KEYWORDS([Tesselation convex convex-envelope trianglematcher])
 
 file=test.conf
@@ -27,5 +27,5 @@
 AT_CHECK([grep -v "Command.*DryRun" session-tesselation-big-convex-envelope.py >session-tesselation-big-convex-envelope_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-tesselation-big-convex-envelope_new.py], 0, [stdout], [stderr])
-AT_CHECK([diff ${convexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/BigConvex/post/ConvexEnvelope.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${convexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/BigConvex/post/ConvexEnvelope.dat], 0, [ignore], [ignore])
 #AT_CHECK([diff ${convexfile}.r3d ${abs_top_srcdir}/tests/regression/Tesselation/BigConvex/post/ConvexEnvelope.r3d], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at
===================================================================
--- tests/GuiChecks/Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Tesselation - Big non-Convex Envelope])
-AT_KEYWORDS([Tesselation nonconvex nonconvex-envelope])
+AT_KEYWORDS([Tesselation nonconvex nonconvex-envelope trianglematcher])
 
 file=test.conf
@@ -27,5 +27,5 @@
 AT_CHECK([grep -v "Command.*DryRun" session-tesselation-big-non-convex-envelope.py >session-tesselation-big-non-convex-envelope_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-tesselation-big-non-convex-envelope_new.py], 0, [stdout], [stderr])
-AT_CHECK([diff ${nonconvexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/BigNonConvex/post/NonConvexEnvelope.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${nonconvexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/BigNonConvex/post/NonConvexEnvelope.dat], 0, [ignore], [ignore])
 #AT_CHECK([diff ${nonconvexfile}.r3d ${abs_top_srcdir}/tests/regression/Tesselation/BigNonConvex/post/NonConvexEnvelope.r3d], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Tesselation/Convex/testsuite-tesselation-convex-envelope.at
===================================================================
--- tests/GuiChecks/Tesselation/Convex/testsuite-tesselation-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/Convex/testsuite-tesselation-convex-envelope.at	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Tesselation - Convex Envelope])
-AT_KEYWORDS([Tesselation convex convex-envelope])
+AT_KEYWORDS([Tesselation convex convex-envelope trianglematcher])
 
 file=test.conf
@@ -27,5 +27,5 @@
 AT_CHECK([grep -v "Command.*DryRun" session-tesselation-convex-envelope.py >session-tesselation-convex-envelope_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-tesselation-convex-envelope_new.py], 0, [stdout], [stderr])
-AT_CHECK([diff ${convexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/Convex/post/ConvexEnvelope.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${convexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/Convex/post/ConvexEnvelope.dat], 0, [ignore], [ignore])
 #AT_CHECK([diff ${convexfile}.r3d ${abs_top_srcdir}/tests/regression/Tesselation/Convex/post/ConvexEnvelope.r3d], 0, [ignore], [ignore])
 AT_CHECK([diff ConvexEnvelope.dat NonConvexEnvelope.dat], 0, [ignore], [ignore])
Index: tests/GuiChecks/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at
===================================================================
--- tests/GuiChecks/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Tesselation - Non-Convex Envelope])
-AT_KEYWORDS([Tesselation nonconvex nonconvex-envelope])
+AT_KEYWORDS([Tesselation nonconvex nonconvex-envelope trianglematcher])
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Tesselation/NonConvex/pre/test.conf .], 0)
@@ -26,5 +26,5 @@
 AT_CHECK([grep -v "Command.*DryRun" session-tesselation-non-convex-envelope.py >session-tesselation-non-convex-envelope_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-tesselation-non-convex-envelope_new.py], 0, [stdout], [stderr])
-AT_CHECK([diff ${nonconvexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/NonConvex/post/NonConvexEnvelope.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${nonconvexfile}.dat ${abs_top_srcdir}/tests/regression/Tesselation/NonConvex/post/NonConvexEnvelope.dat], 0, [ignore], [ignore])
 #AT_CHECK([diff ${nonconvexfile}.r3d ${abs_top_srcdir}/tests/regression/Tesselation/NonConvex/post/NonConvexEnvelope.r3d], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Tesselation/testsuite-tesselation.at
===================================================================
--- tests/GuiChecks/Tesselation/testsuite-tesselation.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Tesselation/testsuite-tesselation.at	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
@@ -18,4 +18,7 @@
 AT_BANNER([MoleCuilder - Tesselation test])
 
+# trianglematcher
+m4_include([Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at])
+
 # Non convex tesselation
 m4_include([Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at])
